<div itemscope itemtype="https://schema.org/Blog">
	<aside id="post-<?php the_ID(); ?>" <?php post_class(); ?> itemscope itemtype="http://schema.org/BlogPosting">
		<div class="flw" itemprop="mainEntityOfPage">
			<!-- Publisher  -->
			<div itemprop="publisher" itemscope="itemscope" itemtype="https://schema.org/Organization">
				<div itemprop="logo" itemscope="itemscope" itemtype="https://schema.org/ImageObject">
					<meta itemprop="url" content="<?php echo esc_url(home_url('/')); ?>" />
					<meta itemprop="width" content="100" />
					<meta itemprop="height" content="100" />
				</div>
				<meta itemprop="name" content="<?php the_author(); ?>" />
			</div>
			<!-- //Publisher  -->
			<!-- Modified date -->
			<span itemprop="dateModified" class="screen-reader-text">
				<time datetime="<?php echo esc_attr( get_the_modified_time( 'Y-m-d' ) ); ?>">
					<?php the_modified_date(); ?>
				</time>
			</span>
			<!-- //Modified date -->
			<?php
				/*post thumbnail*/
				$thumbnail = get_the_post_thumbnail_url();
				if(!empty($thumbnail)):
			?>
			<div class="blog-post-cover" itemprop="image" itemscope itemtype="http://schema.org/ImageObject">
				<img src="<?php echo esc_url($thumbnail); ?>" alt="<?php esc_attr('Post thembnail', 'seocode'); ?>">
				<meta itemprop="url" content="<?php echo esc_url($thumbnail); ?>" />
				<meta itemprop="width" content="852" />
				<meta itemprop="height" content="421" />
			</div>
			<?php endif; ?>
			<div class="blog-post-info">
				<div class="blog-post-date" itemprop="datePublished" content="<?php echo get_the_time('c'); ?>"><?php echo seocode_post_date();/*post date*/ ?></div>
				<div class="blog-post-name">
					<div class="post-cat" itemprop="articleSection"><?php echo seocode_blog_categories();/*post categories*/ ?></div>
					<h1 class="post-tit" itemprop="headline"><a itemprop="url" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
				</div>
			</div>
			<?php if(!is_single()): ?>
				<div class="blog-post-sumary" itemprop="description"><?php the_excerpt(); ?></div>
				<div class="post-author-info">
					<div class="post-author">
						<div class="author-av"><?php echo get_avatar( $post->ID, $size = 33 ); ?></div>
						<strong class="author-name" itemprop="author"><?php the_author(); ?></strong>
					</div>
				</div>
			<?php else: ?>
				<div class="blog-post-single" itemprop="articleBody"><?php the_content(); wp_link_pages(); ?></div>
				<div class="theme-tags" itemprop="keywords"><?php echo the_tags($before = '', $sep = '', $after = ''); ?></div>
				<span class="screen-reader-text" itemprop="author"><?php the_author(); ?></span>
				<?php seocode_author_card();/*author card*/ ?>
				<?php
					/*comment*/
					if ( comments_open() || get_comments_number() ) {
						comments_template();
					}
				?>
				
			<?php endif; ?>
		</div>
	</aside>
</div>