<?php if ( ! defined( 'FW' ) ) { die( 'Forbidden' );}

$page_options = array(
    /*header*/
    'page_header' => array(
        'title'   => esc_html__('Header', 'seocode'),
        'type'    => 'tab',
        'options' => array(
            /*header layout*/
            'page_header_layout' => array(
                'label' => false,
                'desc' => false,
                'type' => 'multi-picker',
                'picker' => array(
                    'gadget' => array(
                        'label' => esc_html__('Layout', 'seocode'),
                        'type' => 'short-select',
                        'choices' => array(
                            'default' => esc_html__('Default', 'seocode'),
                            'layout-1' => esc_html__('Layout 1', 'seocode'),
                            'layout-2' => esc_html__('Layout 2', 'seocode'),
                            'layout-3' => esc_html__('Layout 3', 'seocode'),
                            'layout-4' => esc_html__('Layout 4', 'seocode'),
                        ),
                        'value' => 'default',
                    )
                ),
                'choices' => array(
                    'layout-2' => array(
                        'layout-2-bg-topbar' => array(
                            'type' => 'rgba-color-picker',
                            'label' => esc_html__('Topbar background', 'seocode'),
                            'desc' => esc_html__('Choose color', 'seocode'),
                            'value' => 'rgba(255,255,255,0)'
                        ),
                        'layout-2-topbar-txt-color' => array(
                            'type' => 'color-picker',
                            'label' => esc_html__('Topbar text color', 'seocode'),
                            'desc' => esc_html__('Choose color', 'seocode'),
                            'value' => ''
                        ),
                        'layout-2-line-topbar' => array(
                            'type' => 'color-picker',
                            'label' => esc_html__('Topbar border color', 'seocode'),
                            'desc' => esc_html__('Choose color', 'seocode'),
                            'value' => ''
                        ),
                        'layout-2-bg-menu' => array(
                            'type' => 'rgba-color-picker',
                            'label' => esc_html__('Menu background', 'seocode'),
                            'desc' => esc_html__('Choose color', 'seocode'),
                            'value' => 'rgba(255,255,255,0)'
                        ),
                        'layout-2-menu-txt-color' => array(
                            'type' => 'color-picker',
                            'label' => esc_html__('Heading menu text color', 'seocode'),
                            'desc' => esc_html__('Choose color', 'seocode'),
                            'value' => ''
                        ),
                    ),
                ),
            ),
            /*logo*/
            'p_lg' => array(
                'label' => false,
                'desc' => false,
                'type' => 'multi-picker',
                'picker' => array(
                    'gadget' => array(
                        'type' => 'short-select',
                        'label' => esc_html__('Logo', 'seocode'),
                        'desc' => false,
                        'choices' => array(
                            'default' => esc_html__('Default', 'seocode'),
                            'custom' => esc_html__('Custom', 'seocode'),
                        ),
                        'value' => 'default'
                    )
                ),
                'choices' => array(
                    'custom' => array(
                        'lg_data' => array(
                            'label' => esc_html__('Choose image', 'seocode'),
                            'type' => 'upload',
                            'images_only' => true
                        )
                    )
                ),
            ),
            /*crumbs header*/
            'p_page_header' => array(
                'label'   => false,
                'desc'   => false,
                'type'    => 'multi-picker',
                'picker' => array(
                    'gadget' => array(
                        'label' => esc_html__('Breadcrumbs', 'seocode'),
                        'type' => 'short-select',
                        'choices' => array(
                            'default' => esc_html__('Default', 'seocode'),
                            '1' => esc_html__('Custom', 'seocode'),
                            'no' => esc_html__('Disable', 'seocode'),
                        ),
                        'value' => 'default',
                    ),
                ),
                'choices' => array(
                    '1' => array(
                        'page_header_text_color' => array(
                            'label' => esc_html__('Text color', 'seocode'),
                            'desc' => esc_html__('Display text color of page breadcumbs', 'seocode'),
                            'type' => 'color-picker',
                            'value' => '#ffffff'
                        ),
                        'page_header_title' => array(
                            'label' => esc_html__('Alternative Title', 'seocode'),
                            'desc' => esc_html__('This will replace heading page title', 'seocode'),
                            'type' => 'text',
                            'value' => 'This is my title!'
                        ),
                        'page_header_text' => array(
                            'label' => esc_html__('Text Header', 'seocode'),
                            'desc' => esc_html__('This will display under breadcrumbs (optional)', 'seocode'),
                            'type' => 'textarea',
                        ),
                        'page_header_bg' => array(
                            'label' => false,
                            'desc' => false,
                            'type' => 'multi-picker',
                            'picker' => array(
                                'gadget' => array(
                                    'label' => esc_html__('Background Style', 'seocode'),
                                    'desc' => esc_html__('If select background image option, the theme recommends a header size of at least 1170 width pixels', 'seocode'),
                                    'type' => 'select',
                                    'choices' => array(
                                        'img_bg' => esc_html__('Use Image', 'seocode'),
                                        'color_bg' => esc_html__('Use Solid Color', 'seocode'),
                                    ),
                                    'value' => 'color_bg'
                                )
                            ),
                            'choices' => array(
                                'img_bg' => array(
                                    'img_bg_data' => array(
                                        'label' => esc_html__('Single Upload (Images Only)', 'seocode'),
                                        'type' => 'upload'
                                    )
                                ),
                                'color_bg' => array(
                                    'color_bg_data' => array(
                                        'label' => esc_html__('Background Color', 'seocode'),
                                        'type' => 'color-picker',
                                        'value' => '#e9eceb'
                                    )
                                )
                            ),
                        ),
                    ),
                ),
            ),
        ),
    ),
    /*footer*/
    'page_footer' => array(
        'title'   => esc_html__('Footer', 'seocode'),
        'type'    => 'tab',
        'options' => array(
            'footer_data' => array(
                'label' => esc_html__('Layout', 'seocode'),
                'type' => 'short-select',
                'choices' => array(
                    'default' => esc_html__('Default', 'seocode'),
                    'enable' => esc_html__('Enable', 'seocode'),
                    'disable' => esc_html__('Disable', 'seocode'),
                ),
                'value' => 'default',
            ),
            'p_copyright' => array(
                'label' => esc_html__('Copyright', 'seocode'),
                'type' => 'short-select',
                'choices' => array(
                    'default' => esc_html__('Default', 'seocode'),
                    'disable' => esc_html__('Disable', 'seocode'),
                ),
                'value' => 'default',
            )
        ),
    ),
);
$options = array(
    'page_layout_box' => array(
        'title'   => esc_html__( 'Page Customizing', 'seocode'),
        'type'    => 'box',
        'options' => $page_options
    ),
);
