<?php
/**
 * The header for our theme.
 * Displays all of the <head> section
 * @package seocode
 */

$sticky = get_theme_mod('menu_style', '0');
?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	<?php seocode_header_layout();/*header-layout*/ ?>

    <?php /*menu sticky*/ ?>
    <?php if($sticky == '1'): ?>
        <div class="header-layout-1 ht-menu-sticky flw">
            <div id="theme-menu-box">
                <div class="container theme-wrap-menu-flex">
                    <?php seocode_sticky_logo_image();/*logo*/ ?>
                    <div class="theme-wrap-primary-menu">
                        <span class="screen-reader-text">
                            <?php esc_html_e( 'Primary Menu', 'seocode' ); ?>
                        </span>
                        <?php
                            /*primary menu*/
                            if(has_nav_menu('primary')):
                                wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'theme-primary-menu', 'container' => '' ) );
                            else: ?>
                                <a class="add-menu-suggest" href="<?php echo esc_url( get_admin_url() . 'nav-menus.php' ); ?>"><?php esc_html_e( 'Add Menu', 'seocode' ); ?></a>
                            <?php endif; ?>
                    </div>
                    <?php /*search button*/ ?>
                    <?php seocode_shopping_cart(); ?>
                    <button class="ion-android-search ht-btn-search"></button>
                </div>
            </div>
        </div>
    <?php endif; ?>