<?php
/***Theme Customizer***/

/*Add the theme configuration*/
seocode_Kirki::add_config( 'seocode', array(
 	'option_type' => 'theme_mod',
 	'capability'  => 'edit_theme_options',
));

/*Add the general section*/
seocode_Kirki::add_section( 'c_general', array(
 	'title'      => esc_attr__( 'General', 'seocode'),
 	'priority'   => 1,
 	'capability' => 'edit_theme_options',
));

/*Add breadcrumbs section*/
seocode_Kirki::add_section( 'c_crumbs', array(
 	'title'      => esc_attr__( 'Page Breadcrumbs', 'seocode'),
 	'capability' => 'edit_theme_options',
	 'priority'   => 3,
));

/*Add blog section*/
seocode_Kirki::add_section( 'blog', array(
 	'title'      => esc_attr__( 'Blog', 'seocode'),
 	'priority'   => 4,
 	'capability' => 'edit_theme_options',
));

/*Add footer section*/
seocode_Kirki::add_section( 'c_footer', array(
 	'title'      => esc_attr__( 'Footer', 'seocode'),
 	'priority'   => 5,
 	'capability' => 'edit_theme_options',
));

/*Add color section*/
seocode_Kirki::add_section( 'color', array(
 	'title'      => esc_attr__( 'Colors', 'seocode'),
 	'priority'   => 17,
 	'capability' => 'edit_theme_options',
));

/*Add typo section*/
seocode_Kirki::add_section( 'typo', array(
 	'title'      => esc_attr__( 'Typography', 'seocode'),
 	'capability' => 'edit_theme_options',
	 'priority'   => 18,
));

/*Add shop section*/
seocode_Kirki::add_section( 'shop', array(
 	'title'      => esc_attr__( 'Shop', 'seocode'),
 	'priority'   => 19,
 	'capability' => 'edit_theme_options',
));

/*COLOR=================================================================================================*/
/*primary color*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'color',
	'settings'  => 'primary_color',
	'label'     => esc_attr__( 'Primary color', 'seocode' ),
	'section'   => 'color',
	'default' => '#011735',
	'transport' => 'auto',
	'output'      => array(
		array(
			'element' =>
				'blockquote:before,
				.blog-post-info .post-tit a,
				.post-author-info .author-name,				
				.post-author-info-single .author-name,
				.theme-iconbox .iconbox-title,
				.theme-service-item a,
				.tbl-price,
				.member-name,
				.theme-main-color',
			'property' => 'color'
		),
		array(
			'element' =>
				'thead th,
				.tbl-button',
			'property' => 'background-color'
		)
	),
));

/*secondary color*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'color',
	'settings'  => 'secondary_color',
	'label'     => esc_attr__( 'Secondary color', 'seocode' ),
	'section'   => 'color',
	'default' => '#015cff',
	'transport' => 'auto',
	'output'      => array(
		array(
			'element' =>
				'a,
				.blog-post-info .blog-post-date span.date-day,
				.theme-blog-news .post-tit a:hover,
				.theme-service-item a:hover,
				.theme-cases-filter button.is-checked,
				.blog-post-info .post-tit a:hover,
				.paging-navigation a,
				.contact-page-info li span[class*="fa-"]:before,
				.crumbs a:hover,
				.contact-page-info li span[class*="ion-"]:before,
				.woocommerce-page #main ul.products li.product .price,
				.woocommerce-page #main ul.products li.product .price ins,
				.woocommerce-page .added_to_cart.wc-forward:hover,
				.woocommerce-page #main div.product p.price,
				.woocommerce-page #main div.product span.price,
				.woocommerce-page #main .woocommerce-message:before,
				.woocommerce-page #main .woocommerce-pagination li .page-numbers.current,
				.woocommerce-page #main .woocommerce-pagination li .page-numbers:hover',
			'property' => 'color'
		),
		array(
			'element' =>
				'.vc_btn3-style-theme-style-default-btn.theme-style-default-btn,
				.search-form .search-submit,
				#seocode-blog-sidebar .widget_tag_cloud a,
				.footer-email-form-widget button,
				.theme-tags a,
				#commentform input[type="submit"],
				.page-error-btn,
				.cf7-style-7 .cf7-col input[type="submit"],
				.cf7-style-8 .cf7-col input[type="submit"],
				.theme-slider-btn,
				.theme-topbar .topbar-right .topbar-btn,
				.woocommerce-page #main span.onsale,
				.woocommerce-page a.button.add_to_cart_button,
				.woocommerce-page .woocommerce-product-search input[type="submit"],
				.woocommerce-page .widget.shop .button.wc-forward,
				.woocommerce-page .widget.shop.widget_price_filter .price_slider_amount .button,
				.woocommerce-page #main .widget_price_filter .ui-slider .ui-slider-handle,
				.woocommerce-page #main .widget_price_filter .ui-slider .ui-slider-range,
				.woocommerce-page #main #respond input#submit.alt,
				.woocommerce-page #main a.button.alt,
				.woocommerce-page #main button.button.alt,
				.woocommerce-page #main input.button.alt,
				.woocommerce-page #main .cart .button,
				.woocommerce-page #main .cart input.button,
				.woocommerce-page #main .checkout_coupon input[type="submit"],
				.woocommerce-page #main .button.wc-backward,
				.woocommerce-page #main .woocommerce-form-login input[type="submit"],
				.woocommerce-page #main .woocommerce-Button.button,
				.woocommerce-page #main ul.products li.product .button.product_type_variable,
				.theme-shoping-cart .buttons .button,
				.theme-shoping-cart .buttons .button:hover',
			'property' => 'background-color'
		),
		array(
			'element' =>
				'.woocommerce-page .added_to_cart.wc-forward:hover,
				.woocommerce-info,
				.woocommerce-page #main .woocommerce-message',
			'property' => 'border-color'
		),
	),
));

/*TYPO=================================================================================================*/
/*body font*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'typo_body',
	'label'     => esc_attr__( 'Body font', 'seocode' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => 'Open Sans',
		'variant'        => 'regular',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#9e9e9e',
		'font-size'      => '14px',
		'line-height'    => '28px',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => 'body, body p, .theme-iconbox .iconbox-content',
		),
	),
));
/*heading font*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'typo_heading',
	'label'     => esc_attr__( 'Heading font', 'seocode' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'bold',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#011735',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => 'h1, h2, h3, h4, h5, h6',
		),
	),
));
/*h1*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'typo_h1',
	'label'     => esc_attr__( 'H1', 'seocode' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => array(
		'font-size'      => '48px',
	),
	'output'      => array(
		array(
			'element' => 'h1',
		),
	),
));
/*h2*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'typo_h2',
	'label'     => esc_attr__( 'H2', 'seocode' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => array(
		'font-size'      => '42px',
	),
	'output'      => array(
		array(
			'element' => 'h2',
		),
	),
));
/*h3*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'typo_h3',
	'label'     => esc_attr__( 'H3', 'seocode' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => array(
		'font-size'      => '36px',
	),
	'output'      => array(
		array(
			'element' => 'h3',
		),
	),
));
/*h4*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'typo_h4',
	'label'     => esc_attr__( 'H4', 'seocode' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => array(
		'font-size'      => '24px',
	),
	'output'      => array(
		array(
			'element' => 'h4',
		),
	),
));
/*h5*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'typo_h5',
	'label'     => esc_attr__( 'H5', 'seocode' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => array(
		'font-size'      => '20px',
	),
	'output'      => array(
		array(
			'element' => 'h5',
		),
	),
));
/*h6*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'typo_h6',
	'label'     => esc_attr__( 'H6', 'seocode' ),
	'section'   => 'typo',
	'transport' => 'auto',
	'default'     => array(
		'font-size'      => '18px',
	),
	'output'      => array(
		array(
			'element' => 'h6',
		),
	),
));

/*HEADER LAYOUT=================================================================================================*/

/*Header layout 1 ==================================================*/

/*label*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'custom',
	'settings'  => 'kirki_label_header_layout1_topbar',
	'label'     => esc_attr__( 'Topbar', 'seocode' ),
	'section'   => 'header_1',
	'partial_refresh' => array(
		'hd1_edit_location' => array(
			'selector'        => '#hd1-edit-location',
			'render_callback' => 'seocode_header_edit_location',
		),
	),
));

/*on-off topbar*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'switch',
	'settings'  => 'topbar1_display',
	'label'     => esc_attr__( 'On/Off Topbar', 'seocode' ),
	'section'   => 'header_1',
	'default' => '0',
	'choices' => array(
		'off' => esc_attr__('Off', 'seocode'),
		'on' => esc_attr__('On', 'seocode'),
	),
));

/*topbar background*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'color',
	'settings'  => 'topbar1_bg',
	'label'     => esc_attr__( 'Background color', 'seocode' ),
	'section'   => 'header_1',
	'transport' => 'auto',
	'default' => '#0e2040',
	'output' => array(
		array(
			'element' => '.header-layout-1 .theme-topbar',
			'function' => 'css',
			'property' => 'background-color'
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'topbar1_display',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*topbar text*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'color',
	'settings'  => 'topbar1_text_color',
	'label'     => esc_attr__( 'Text color', 'seocode' ),
	'section'   => 'header_1',
	'transport' => 'auto',
	'default' => '#ffffff',
	'output' => array(
		array(
			'element' => '.header-layout-1 .topbar-left, .header-layout-1 .topbar-right',
			'function' => 'css',
			'property' => 'color'
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'topbar1_display',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*topbar left*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'code',
	'settings'  => 'topbar1_left',
	'label'     => esc_attr__( 'Topbar Left', 'seocode' ),
	'section'   => 'header_1',
	'active_callback'  => array(
		array(
			'setting'  => 'topbar1_display',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*topbar right*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'code',
	'settings'  => 'topbar1_right',
	'label'     => esc_attr__( 'Topbar Right', 'seocode' ),
	'section'   => 'header_1',
	'active_callback'  => array(
		array(
			'setting'  => 'topbar1_display',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*topbar typo on/off*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'switch',
	'settings'  => 'topbar1_typo',
	'label'     => esc_attr__( 'Custom Topbar Typography?', 'seocode' ),
	'section'   => 'header_1',
	'default'     => '0',
	'choices'     => array(
		'off' => esc_attr__( 'No', 'seocode' ),
		'on'  => esc_attr__( 'Yes', 'seocode' ),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'topbar1_display',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*topbar typo content*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'topbar1_typo_content',
	'label'     => esc_attr__( 'Topbar Typography', 'seocode' ),
	'section'   => 'header_1',
	'default'     => array(
		'font-family'    => 'Open Sans',
		'variant'        => 'regular',
		'font-size'      => '13px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#ffffff',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-1 .topbar-left, .header-layout-1 .topbar-right',
			'function' => 'css',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'topbar1_display',
			'operator' => '==',
			'value'    => '1',
		),
		array(
			'setting'  => 'topbar1_typo',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*label*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'custom',
	'settings'  => 'kirki_label_header_layout1_menu',
	'label'     => esc_attr__( 'Menu', 'seocode' ),
	'section'   => 'header_1',
));
/*background menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'color',
	'settings'  => 'menu1_bg',
	'label'     => esc_attr__( 'Background', 'seocode' ),
	'section'   => 'header_1',
	'transport' => 'auto',
	'default' => '#ffffff',
	'output' => array(
		array(
			'element' => '.header-layout-1 #theme-menu-box',
			'function' => 'css',
			'property' => 'background-color'
		)
	),
));

/*custom menu style*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'switch',
	'settings'  => 'menu1_style',
	'label'     => esc_attr__( 'Custom menu style?', 'seocode' ),
	'section'   => 'header_1',
	'default'     => '0',
	'choices'     => array(
		'off' => esc_attr__( 'No', 'seocode' ),
		'on'  => esc_attr__( 'Yes', 'seocode' ),
	),
));

/*heading menu highlight*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'color',
	'settings'  => 'menu1_highlight',
	'label'     => esc_attr__( 'Menu highlight', 'seocode' ),
	'section'   => 'header_1',
	'default'     => '#015cff',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' =>
				'.header-layout-1 .theme-primary-menu > li:not(.menu-item-has-mega-menu):hover > a,
				.header-layout-1 .theme-primary-menu > li.current-menu-item > a,
				.header-layout-1 .theme-primary-menu > li.current-menu-ancestor > a,
				.header-layout-1 .theme-primary-menu > li.current-menu-parent > a,
				.header-layout-1 .theme-primary-menu > li.current_page_parent > a,
				.header-layout-1 .theme-primary-menu > li.current_page_ancestor > a,
				.header-layout-1 .theme-primary-menu > li > a:hover,
				.header-layout-1 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a:hover,
				.header-layout-1 .theme-primary-menu .mega-menu-row > li > a:hover,
				.header-layout-1 .theme-primary-menu li.menu-item-has-mega-menu:hover > a,
				.header-layout-1 .theme-primary-menu .mega-menu-row .sub-menu a:hover,
				.header-layout-1 #theme-menu-box .shopping-cart-icon:hover,
				.header-layout-1 #theme-menu-box .theme-shoping-cart:hover .shopping-cart-icon',
			'function' => 'css',
			'property' => 'color',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu1_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*heading menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu1_heading',
	'label'     => esc_attr__( 'Heading menu', 'seocode' ),
	'section'   => 'header_1',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '16px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#252525',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-1 .theme-primary-menu > li > a',
			'function' => 'css',
		),
		array(
			'element' =>
				'.header-layout-1 #ht-btn-search,
				.header-layout-1 .ht-btn-search,
				.header-layout-1 .theme-wrap-menu-flex .collapse-button,
				.header-layout-1 #theme-menu-box .shopping-cart-icon',
			'function' => 'css',
			'property' => 'color'
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu1_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*sub menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu1_submenu',
	'label'     => esc_attr__( 'Sub menu', 'seocode' ),
	'section'   => 'header_1',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '13px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#999',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-1 .theme-primary-menu li ul a',
			'function' => 'css',
		),
		array(
			'element' => '.header-layout-1 .theme-primary-menu > li ul li.menu-item-has-children:after',
			'function' => 'css',
			'property' => 'color'
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu1_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));


/*heading mega menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu1_mega_heading',
	'label'     => esc_attr__( 'Mega menu heading', 'seocode' ),
	'section'   => 'header_1',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '16px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#333333',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-1 .theme-primary-menu .mega-menu-row > li > a',
			'function' => 'css',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu1_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*sub mega menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu1_mega_submenu',
	'label'     => esc_attr__( 'Mega menu Submenu', 'seocode' ),
	'section'   => 'header_1',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '12px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#333333',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-1 .theme-primary-menu .mega-menu-row .sub-menu a',
			'function' => 'css',
		),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu1_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*description text*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu1_mega_desc',
	'label'     => esc_attr__( 'Description text color', 'seocode' ),
	'section'   => 'header_1',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '12px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#b6b6b6',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => 
				'.header-layout-1 .theme-primary-menu .mega-menu-row li div p,
				.header-layout-1 .theme-primary-menu .mega-menu-row li div',
			'function' => 'css',
		),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu1_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*Header layout 2 ==================================================*/

/*label*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'custom',
	'settings'  => 'kirki_label_header_layout2_topbar',
	'label'     => esc_attr__( 'Topbar', 'seocode' ),
	'section'   => 'header_2',
	'partial_refresh' => array(
		'hd2_edit_location' => array(
			'selector'        => '#hd2-edit-location',
			'render_callback' => 'seocode_header_edit_location',
		),
	),
));

/*on-off topbar*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'switch',
	'settings'  => 'topbar2_display',
	'label'     => esc_attr__( 'On/Off Topbar', 'seocode' ),
	'section'   => 'header_2',
	'default' => '1',
	'choices' => array(
		'off' => esc_attr__('Off', 'seocode'),
		'on' => esc_attr__('On', 'seocode'),
	),
));

/*topbar background*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'color',
	'settings'  => 'topbar2_bg',
	'label'     => esc_attr__( 'Background color', 'seocode' ),
	'section'   => 'header_2',
	'transport' => 'auto',
	'default' => 'rgba(255,255,255,0)',
	'alpha' => true,
	'output' => array(
		array(
			'element' => '.header-layout-2 .theme-header .theme-topbar',
			'function' => 'css',
			'property' => 'background-color'
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'topbar2_display',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*topbar text*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'color',
	'settings'  => 'topbar2_text_color',
	'label'     => esc_attr__( 'Text color', 'seocode' ),
	'section'   => 'header_2',
	'transport' => 'auto',
	'default' => '#ffffff',
	'output' => array(
		array(
			'element' => '.header-layout-2 .theme-header .topbar-left, .header-layout-2 .theme-header .topbar-right',
			'function' => 'css',
			'property' => 'color'
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'topbar2_display',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*topbar left*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'code',
	'settings'  => 'topbar2_left',
	'label'     => esc_attr__( 'Topbar Left', 'seocode' ),
	'section'   => 'header_2',
	'active_callback'  => array(
		array(
			'setting'  => 'topbar2_display',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*topbar right*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'code',
	'settings'  => 'topbar2_right',
	'label'     => esc_attr__( 'Topbar Right', 'seocode' ),
	'section'   => 'header_2',
	'active_callback'  => array(
		array(
			'setting'  => 'topbar2_display',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*topbar typo on/off*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'switch',
	'settings'  => 'topbar2_typo',
	'label'     => esc_attr__( 'Custom Topbar Typography?', 'seocode' ),
	'section'   => 'header_2',
	'default'     => '0',
	'choices'     => array(
		'off' => esc_attr__( 'No', 'seocode' ),
		'on'  => esc_attr__( 'Yes', 'seocode' ),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'topbar2_display',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*topbar typo content*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'topbar2_typo_content',
	'label'     => esc_attr__( 'Topbar Typography', 'seocode' ),
	'section'   => 'header_2',
	'default'     => array(
		'font-family'    => 'Open Sans',
		'variant'        => 'regular',
		'font-size'      => '13px',
		'subsets'        => array( 'latin-ext' ),
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-2 .topbar-left, .header-layout-2 .topbar-right',
			'function' => 'css',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'topbar2_display',
			'operator' => '==',
			'value'    => '1',
		),
		array(
			'setting'  => 'topbar2_typo',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*label*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'custom',
	'settings'  => 'kirki_label_header_layout2_menu',
	'label'     => esc_attr__( 'Menu', 'seocode' ),
	'section'   => 'header_2',
));
/*background menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'color',
	'settings'  => 'menu2_bg',
	'label'     => esc_attr__( 'Background', 'seocode' ),
	'section'   => 'header_2',
	'transport' => 'auto',
	'default' => 'rgba(255,255,255,0)',
	'alpha' => true,
	'output' => array(
		array(
			'element' => '.header-layout-2 #theme-menu-box',
			'function' => 'css',
			'property' => 'background-color'
		)
	),
));

/*custom menu style*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'switch',
	'settings'  => 'menu2_style',
	'label'     => esc_attr__( 'Custom menu style?', 'seocode' ),
	'section'   => 'header_2',
	'default'     => '0',
	'choices'     => array(
		'off' => esc_attr__( 'No', 'seocode' ),
		'on'  => esc_attr__( 'Yes', 'seocode' ),
	),
));

/*heading menu highlight*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'color',
	'settings'  => 'menu2_highlight',
	'label'     => esc_attr__( 'Menu highlight', 'seocode' ),
	'section'   => 'header_2',
	'default'     => '#015cff',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' =>
				'.header-layout-2 .theme-primary-menu > li:not(.menu-item-has-mega-menu):hover > a,
				.header-layout-2 .theme-primary-menu > li.current-menu-item > a,
				.header-layout-2 .theme-primary-menu > li.current-menu-ancestor > a,
				.header-layout-2 .theme-primary-menu > li.current-menu-parent > a,
				.header-layout-2 .theme-primary-menu > li.current_page_parent > a,
				.header-layout-2 .theme-primary-menu > li.current_page_ancestor > a,
				.header-layout-2 .theme-primary-menu > li > a:hover,
				.header-layout-2 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a:hover,
				.header-layout-2 .theme-primary-menu .mega-menu-row > li > a:hover,
				.header-layout-2 .theme-primary-menu li.menu-item-has-mega-menu:hover > a,
				.header-layout-2 .theme-primary-menu .mega-menu-row .sub-menu a:hover,
				.header-layout-2 #theme-menu-box .shopping-cart-icon:hover,
				.header-layout-2 #theme-menu-box .theme-shoping-cart:hover .shopping-cart-icon',
			'function' => 'css',
			'property' => 'color',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu2_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*heading menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu2_heading',
	'label'     => esc_attr__( 'Heading menu', 'seocode' ),
	'section'   => 'header_2',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '16px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#333333',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-2 .theme-primary-menu > li > a',
			'function' => 'css',
		),
		array(
			'element' =>
				'.header-layout-2 #ht-btn-search,
				.header-layout-2 .theme-wrap-menu-flex .collapse-button,
				.header-layout-2 #theme-menu-box .shopping-cart-icon',
			'function' => 'css',
			'property' => 'color'
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu2_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*sub menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu2_submenu',
	'label'     => esc_attr__( 'Sub menu', 'seocode' ),
	'section'   => 'header_2',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '13px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#999',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-2 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a',
			'function' => 'css',
		),
		array(
			'element' => '.header-layout-2 .theme-primary-menu > li ul li.menu-item-has-children:after',
			'function' => 'css',
			'property' => 'color'
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu2_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));


/*heading mega menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu2_mega_heading',
	'label'     => esc_attr__( 'Mega menu heading', 'seocode' ),
	'section'   => 'header_2',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '16px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#333333',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-2 .theme-primary-menu .mega-menu-row > li > a',
			'function' => 'css',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu2_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*sub mega menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu2_mega_submenu',
	'label'     => esc_attr__( 'Mega menu Submenu', 'seocode' ),
	'section'   => 'header_2',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '12px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#333333',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-2 .theme-primary-menu .mega-menu-row .sub-menu a',
			'function' => 'css',
		),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu2_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*description text*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu2_mega_desc',
	'label'     => esc_attr__( 'Description text color', 'seocode' ),
	'section'   => 'header_2',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '12px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#b6b6b6',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' =>
				'.header-layout-2 .theme-primary-menu .mega-menu-row li div p,
				.header-layout-2 .theme-primary-menu .mega-menu-row li div',
			'function' => 'css',
		),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu2_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*Header layout 3 ==================================================*/
/*label*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'custom',
	'settings'  => 'kirki_label_header_layout3_menu',
	'label'     => esc_attr__( 'Menu', 'seocode' ),
	'section'   => 'header_3',
	'partial_refresh' => array(
		'hd3_edit_location' => array(
			'selector'        => '#hd3-edit-location',
			'render_callback' => 'seocode_header_edit_location',
		),
	),
));
/*background menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'color',
	'settings'  => 'menu3_bg',
	'label'     => esc_attr__( 'Background', 'seocode' ),
	'section'   => 'header_3',
	'transport' => 'auto',
	'default' => 'rgba(255,255,255,0)',
	'alpha' => true,
	'output' => array(
		array(
			'element' => '.header-layout-3 #theme-menu-box',
			'function' => 'css',
			'property' => 'background-color'
		)
	),
));
/*custom menu style*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'switch',
	'settings'  => 'menu3_style',
	'label'     => esc_attr__( 'Custom menu style?', 'seocode' ),
	'section'   => 'header_3',
	'default'     => '0',
	'choices'     => array(
		'off' => esc_attr__( 'No', 'seocode' ),
		'on'  => esc_attr__( 'Yes', 'seocode' ),
	),
));

/*heading menu highlight*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'color',
	'settings'  => 'menu3_highlight',
	'label'     => esc_attr__( 'Menu highlight', 'seocode' ),
	'section'   => 'header_3',
	'default'     => '#015cff',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' =>
				'.header-layout-3 .theme-primary-menu > li:not(.menu-item-has-mega-menu):hover > a,
				.header-layout-3 .theme-primary-menu > li.current-menu-item > a,
				.header-layout-3 .theme-primary-menu > li.current-menu-ancestor > a,
				.header-layout-3 .theme-primary-menu > li.current-menu-parent > a,
				.header-layout-3 .theme-primary-menu > li.current_page_parent > a,
				.header-layout-3 .theme-primary-menu > li.current_page_ancestor > a,
				.header-layout-3 .theme-primary-menu > li > a:hover,
				.header-layout-3 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a:hover,
				.header-layout-3 .theme-primary-menu .mega-menu-row > li > a:hover,
				.header-layout-3 .theme-primary-menu li.menu-item-has-mega-menu:hover > a,
				.header-layout-3 .theme-primary-menu .mega-menu-row .sub-menu a:hover,
				.header-layout-3 #theme-menu-box .shopping-cart-icon:hover,
				.header-layout-3 #theme-menu-box .theme-shoping-cart:hover .shopping-cart-icon',
			'function' => 'css',
			'property' => 'color',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu3_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*heading menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu3_heading',
	'label'     => esc_attr__( 'Heading menu', 'seocode' ),
	'section'   => 'header_3',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '16px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#252525',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-3 .theme-primary-menu > li > a',
			'function' => 'css',
		),
		array(
			'element' =>
				'.header-layout-3 #ht-btn-search,
				.header-layout-3 .theme-wrap-menu-flex .collapse-button,
				.header-layout-3 #theme-menu-box .shopping-cart-icon',
			'function' => 'css',
			'property' => 'color'
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu3_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*sub menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu3_submenu',
	'label'     => esc_attr__( 'Sub menu', 'seocode' ),
	'section'   => 'header_3',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '13px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#999',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-3 .theme-primary-menu li ul a',
			'function' => 'css',
		),
		array(
			'element' => '.header-layout-3 .theme-primary-menu > li ul li.menu-item-has-children:after',
			'function' => 'css',
			'property' => 'color'
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu3_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*heading mega menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu3_mega_heading',
	'label'     => esc_attr__( 'Mega menu heading', 'seocode' ),
	'section'   => 'header_3',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '16px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#333333',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-3 .theme-primary-menu .mega-menu-row > li > a',
			'function' => 'css',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu3_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*sub mega menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu3_mega_submenu',
	'label'     => esc_attr__( 'Mega menu Submenu', 'seocode' ),
	'section'   => 'header_3',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '12px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#333333',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-3 .theme-primary-menu .mega-menu-row .sub-menu a',
			'function' => 'css',
		),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu3_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*description text*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu3_mega_desc',
	'label'     => esc_attr__( 'Description text color', 'seocode' ),
	'section'   => 'header_3',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '12px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#b6b6b6',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' =>
				'.header-layout-3 .theme-primary-menu .mega-menu-row li div p,
				.header-layout-3 .theme-primary-menu .mega-menu-row li div',
			'function' => 'css',
		),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu3_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*Header layout 4 ==================================================*/
/*label*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'custom',
	'settings'  => 'kirki_label_header_layout4_menu',
	'label'     => esc_attr__( 'Menu', 'seocode' ),
	'section'   => 'header_4',
	'partial_refresh' => array(
		'hd4_edit_location' => array(
			'selector'        => '#hd4-edit-location',
			'render_callback' => 'seocode_header_edit_location',
		),
	),
));
/*background menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'color',
	'settings'  => 'menu4_bg',
	'label'     => esc_attr__( 'Background', 'seocode' ),
	'section'   => 'header_4',
	'transport' => 'auto',
	'default' => '#0e2040',
	'alpha' => true,
	'output' => array(
		array(
			'element' => '.header-layout-4 .theme-wrap-menu-flex',
			'function' => 'css',
			'property' => 'background-color'
		)
	),
));
/*custom menu style*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'switch',
	'settings'  => 'menu4_style',
	'label'     => esc_attr__( 'Custom menu style?', 'seocode' ),
	'section'   => 'header_4',
	'default'     => '0',
	'choices'     => array(
		'off' => esc_attr__( 'No', 'seocode' ),
		'on'  => esc_attr__( 'Yes', 'seocode' ),
	),
));

/*heading menu highlight*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'color',
	'settings'  => 'menu4_highlight',
	'label'     => esc_attr__( 'Menu highlight', 'seocode' ),
	'section'   => 'header_4',
	'default'     => '#015cff',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' =>
				'.header-layout-4 .theme-primary-menu > li:not(.menu-item-has-mega-menu):hover > a,
				.header-layout-4 .theme-primary-menu > li.current-menu-item > a,
				.header-layout-4 .theme-primary-menu > li.current-menu-ancestor > a,
				.header-layout-4 .theme-primary-menu > li.current-menu-parent > a,
				.header-layout-4 .theme-primary-menu > li.current_page_parent > a,
				.header-layout-4 .theme-primary-menu > li.current_page_ancestor > a,
				.header-layout-4 .theme-primary-menu > li > a:hover,
				.header-layout-4 .theme-primary-menu > li:not(.menu-item-has-mega-menu) ul a:hover,
				.header-layout-4 .theme-primary-menu .mega-menu-row > li > a:hover,
				.header-layout-4 .theme-primary-menu li.menu-item-has-mega-menu:hover > a,
				.header-layout-4 .theme-primary-menu .mega-menu-row .sub-menu a:hover,
				.header-layout-4 #theme-menu-box .shopping-cart-icon:hover,
				.header-layout-4 #theme-menu-box .theme-shoping-cart:hover .shopping-cart-icon',
			'function' => 'css',
			'property' => 'color',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu4_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*heading menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu4_heading',
	'label'     => esc_attr__( 'Heading menu', 'seocode' ),
	'section'   => 'header_4',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '16px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#252525',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-4 .theme-primary-menu > li > a',
			'function' => 'css',
		),
		array(
			'element' =>
				'.header-layout-4 #ht-btn-search,
				.header-layout-4 .theme-wrap-menu-flex .collapse-button,
				.header-layout-4 #theme-menu-box .shopping-cart-icon',
			'function' => 'css',
			'property' => 'color'
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu4_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*sub menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu4_submenu',
	'label'     => esc_attr__( 'Sub menu', 'seocode' ),
	'section'   => 'header_4',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '13px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#999',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-4 .theme-primary-menu li ul a',
			'function' => 'css',
		),
		array(
			'element' => '.header-layout-4 .theme-primary-menu > li ul li.menu-item-has-children:after',
			'function' => 'css',
			'property' => 'color'
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu4_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*menu border bottom*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'color',
	'settings'  => 'menu4_border',
	'label'     => esc_attr__( 'Menu Bottom Line Color', 'seocode' ),
	'section'   => 'header_4',
	'default'     => '#59f1ff',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-4 .theme-wrap-menu-flex',
			'function' => 'css',
			'property' => 'border-color',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu4_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*heading mega menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu4_mega_heading',
	'label'     => esc_attr__( 'Mega menu heading', 'seocode' ),
	'section'   => 'header_4',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '16px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#333333',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-4 .theme-primary-menu .mega-menu-row > li > a',
			'function' => 'css',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu4_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*sub mega menu*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu4_mega_submenu',
	'label'     => esc_attr__( 'Mega menu Submenu', 'seocode' ),
	'section'   => 'header_4',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '12px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#333333',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.header-layout-4 .theme-primary-menu .mega-menu-row .sub-menu a',
			'function' => 'css',
		),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu4_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*description text*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'typography',
	'settings'  => 'menu4_mega_desc',
	'label'     => esc_attr__( 'Description text color', 'seocode' ),
	'section'   => 'header_4',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => 'regular',
		'font-size'      => '12px',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#b6b6b6',
	),
	'transport' => 'auto',
	'output' => array(
		array(
			'element' =>
				'.header-layout-4 .theme-primary-menu .mega-menu-row li div p,
				.header-layout-4 .theme-primary-menu .mega-menu-row li div',
			'function' => 'css',
		),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'menu4_style',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*GENERAL===================================================================================================*/
/*header layout*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'select',
	'settings'  => 'header_layout_cfg',
	'label'     => esc_attr__( 'Header Layout', 'seocode' ),
	'section'   => 'c_general',
	'default'   => 'layout-1',
	'description' => esc_attr__('Choose Header Preset Select your main header preset here to apply for all pages', 'seocode'),
	'choices' => array(
		'layout-1' => esc_attr__('Layout 1', 'seocode'),
		'layout-2' => esc_attr__('Layout 2', 'seocode'),
		'layout-3' => esc_attr__('Layout 3', 'seocode'),
		'layout-4' => esc_attr__('Layout 4', 'seocode'),
	)
));

/*custom menu style*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'switch',
	'settings'  => 'menu_style',
	'label'     => esc_attr__( 'Sticky menu on scroll?', 'seocode' ),
	'section'   => 'c_general',
	'default'     => '0',
	'choices'     => array(
		'off' => esc_attr__( 'No', 'seocode' ),
		'on'  => esc_attr__( 'Yes', 'seocode' ),
	),
));

/*logo image*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'image',
	'settings'  => 'logo_img',
	'label'     => esc_attr__( 'Logo image', 'seocode' ),
	'description' => esc_attr__('Select logo image your website', 'seocode'),
	'section'   => 'c_general',
));

/*loading effect*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'switch',
	'settings'  => 'loading',
	'label'     => esc_attr__( 'Loading effect', 'seocode' ),
	'section'   => 'c_general',
	'default'   => '0',
	'description' => esc_attr__('This option shows animated page loader', 'seocode'),
	'choices' => array(
		'off' => esc_attr__('Off', 'seocode'),
		'on' => esc_attr__('On', 'seocode'),
	)
));

/*BREADCRUMBS===================================================================================================*/

/*en/disable page breadcumbs*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'switch',
	'settings'  => 'c_page_header',
	'label'     => esc_attr__( 'Display', 'seocode' ),
	'section'   => 'c_crumbs',
	'default'   => '1',
	'transport' => 'refresh',
	'priority'  => 2,
	'choices' => array(
		'yes' => esc_attr__('Yes', 'seocode'),
		'no' => esc_attr__('No', 'seocode'),
	),
	'partial_refresh' => array(
		'bread_edit_location' => array(
			'selector'        => '#bread-edit-location',
			'render_callback' => 'seocode_bread_edit_location',
		),
	),
));

/*header text color*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'color',
	'default' => '#ffffff',
	'alpha' => true,
	'label'     => esc_attr__( 'Text color', 'seocode' ),
	'settings'  => 'c_header_text_color',
	'section'   => 'c_crumbs',
	'priority'  => 6,
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.bread',
			'function' => 'css',
			'property' => 'color'
		)	
	),
	'active_callback'  => array(
		array(
			'setting'  => 'c_page_header',
			'operator' => '==',
			'value'    => '1',
		),
	)
));


/*header text align*/
seocode_Kirki::add_field( 'seocode', array(
	'type'        => 'select',
	'label'     => esc_attr__( 'Text align', 'seocode' ),
	'settings'    => 'c_header_text_align',
	'section'     => 'c_crumbs',
	'default'     => 'text-center',
	'priority'    => 8,
	'multiple'    => 1,
	'choices'     => array(
		'text-center' => esc_attr__( 'Default: Center', 'seocode' ),
		'text-left' => esc_attr__( 'Left', 'seocode' ),
		'text-right' => esc_attr__( 'Right', 'seocode' ),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'c_page_header',
			'operator' => '==',
			'value'    => '1',
		),
	)
));


/*breadcrumbs display*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'switch',
	'settings'  => 'c_crumbs',
	'section'   => 'c_crumbs',
	'label'     => esc_attr__( 'Navigation bar', 'seocode' ),
	'priority'  => 10,
	'default'     => '0',
	'choices' => array(
		'on'  => esc_attr__( 'On', 'seocode' ),
		'off' => esc_attr__( 'Off', 'seocode' )
	),
	'active_callback'  => array(
		array(
			'setting'  => 'c_page_header',
			'operator' => '==',
			'value'    => '1',
		),
	)
));


/*header text*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'textarea',
	'settings'  => 'c_header_text',
	'label'     => esc_attr__( 'Header Text', 'seocode' ),
	'description'     => esc_attr__( 'This will display under breadcrumbs (optional)', 'seocode' ),
	'section'   => 'c_crumbs',
	'priority'  => 15,
	'active_callback'  => array(
		array(
			'setting'  => 'c_page_header',
			'operator' => '==',
			'value'    => '1',
		),
	)
));


/*background breadcrumb*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'radio',
	'settings'  => 'c_header_bg',
	'label'     => esc_attr__( 'Background', 'seocode' ),
	'description' => esc_attr__('If select background image option, the theme recommends a header size of at least 1170 width pixels', 'seocode'),
	'section'   => 'c_crumbs',
	'default'   => 'bg_color',
	'priority'  => 30,
	'choices'   => array(
		'bg_image' => esc_attr__( 'Use Image', 'seocode' ),
		'bg_color' => esc_attr__( 'Use Solid Color', 'seocode' ),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'c_page_header',
			'operator' => '==',
			'value'    => '1',
		),
	),
));
//use img
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'cropped_image',
	'settings'  => 'c_header_bg_image',
	'label'     => esc_attr__( 'Upload Image', 'seocode' ),
	'section'   => 'c_crumbs',
	'width'	=> 1920,
	'height' => 570,
	'description'   => esc_attr__( 'Upload background image of page header here!', 'seocode' ),
	'priority'  => 40,
	/*'output'     => array(
		array(
			'element' => '.seocode-breadcrumb',
			'function' => 'css',
			'property' => 'background-image',
		)
		wait for kirki 3.0
	),*/
	'active_callback'  => array(
		array(
			'setting'  => 'c_page_header',
			'operator' => '==',
			'value'    => '1',
		),
		array(
			'setting'  => 'c_header_bg',
			'operator' => '==',
			'value'    => 'bg_image',
		),
	)
));
//use css
seocode_Kirki::add_field( 'seocode', array(
  'type'        => 'color',
	'settings'    => 'c_header_bg_color',
	'label'       => esc_attr__( 'Select Color', 'seocode' ),
	'section'     => 'c_crumbs',
	'default'     => '#c0ccd2',
 	'transport'   => 'auto',
	'priority'    => 50,
	'output'     => array(
		array(
			'element' => '.seocode-breadcrumb',
			'function' => 'css',
			'property' => 'background-color',
		)
	),
  	'active_callback'  => array(
		array(
			'setting'  => 'c_page_header',
			'operator' => '==',
			'value'    => '1',
		),
		array(
			'setting'  => 'c_header_bg',
			'operator' => '!=',
			'value'    => 'bg_image',
		),
	)
));


/*BLOG==========================================================================================================*/
/*label*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'custom',
	'settings'  => 'kirki_label_blog_info',
	'label'     => esc_attr__( 'This option only for Posts page', 'seocode' ),
	'section'   => 'blog',
	'priority'  => 1,
));

/*blog title*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'text',
	'settings'  => 'b_header_title',
	'label'     => esc_attr__( 'Header Title', 'seocode' ),
	'default'   => esc_attr__( 'My Blog!', 'seocode' ),
	'section'   => 'blog',
	'priority'  => 5,
));

/*header text*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'textarea',
	'settings'  => 'b_header_text',
	'label'     => esc_attr__( 'Header Text', 'seocode' ),
	'description'     => esc_attr__( 'This will display under breadcrumbs (optional)', 'seocode' ),
	'default'   => esc_attr__( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur suscipit nulla ligula, nec tincid unt tortor pulvinar a. Proin nunc leo, imperdiet nec risus non.', 'seocode' ),
	'section'   => 'blog',
	'priority'  => 10,
));

/*SHOP===========================================================================================================*/
/*shop title*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'text',
	'settings'  => 'shop_title',
	'label'     => esc_attr__( 'Shop page title', 'seocode' ),
	'section'   => 'shop',
	'default' => 'Shop',
));

/*shop text*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'textarea',
	'settings'  => 'shop_text',
	'label'     => esc_attr__( 'Shop page text', 'seocode' ),
	'section'   => 'shop',
	'default' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur suscipit nulla ligula, nec tincid unt tortor pulvinar a. Proin nunc leo, imperdiet nec risus non.',
));

/*FOOTER==========================================================================================================*/
/*footer display*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'switch',
	'label'     => esc_attr__( 'Footer widget', 'seocode' ),
	'settings'  => 'c_footer_display',
	'section'   => 'c_footer',
	'default'   => '1',
	'choices' => array(
		'on' => esc_attr__('On', 'seocode'),
		'off' => esc_attr__('Off', 'seocode'),
	)
));

/*footer background*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'radio',
	'settings'  => 'c_footer_bg',
	'label'     => esc_attr__( 'Background', 'seocode' ),
	'description' => esc_attr__('If select background image option, the theme recommends a header size of at least 1170 width pixels', 'seocode'),
	'section'   => 'c_footer',
	'default'   => 'ft_color',
	'choices'   => array(
		'ft_image' => esc_attr__( 'Use Image', 'seocode' ),
		'ft_color' => esc_attr__( 'Use Solid Color', 'seocode' ),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'c_footer_display',
			'operator' => '==',
			'value'    => '1',
		),
	),
));
//use img
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'image',
	'settings'  => 'ft_bg_img',
	'label'     => esc_attr__( 'Upload Image', 'seocode' ),
	'section'   => 'c_footer',
	'description'   => esc_attr__( 'Upload background image of page header here!', 'seocode' ),
	'active_callback'  => array(
		array(
			'setting'  => 'c_footer_display',
			'operator' => '==',
			'value'    => '1',
		),
		array(
			'setting'  => 'c_footer_bg',
			'operator' => '==',
			'value'    => 'ft_image',
		),
	)
));
//use css
seocode_Kirki::add_field( 'seocode', array(
  'type'        => 'color',
	'settings'    => 'ft_bg_color',
	'label'       => esc_attr__( 'Select Color', 'seocode' ),
	'section'     => 'c_footer',
	'default'     => '#011735',
 	'transport'   => 'auto',
	'output' => array(
		array(
			'element' => '.seocode-footer',
			'function' => 'css',
			'property' => 'background-color'
		)
	),
  	'active_callback'  => array(
		array(
			'setting'  => 'c_footer_display',
			'operator' => '==',
			'value'    => '1',
		),
		array(
			'setting'  => 'c_footer_bg',
			'operator' => '==',
			'value'    => 'ft_color',
		),
	)
));

/*label*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'custom',
	'settings'  => 'kirki_label_copyright',
	'label'     => esc_attr__( 'Copyright', 'seocode' ),
	'section'   => 'c_footer',
));

/*copyright background*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'color',
	'settings'  => 'c_copyright_bg',
	'label'     => esc_attr__( 'Background color', 'seocode' ),
	'section'   => 'c_footer',
	'default'   => '#001026',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.coppy-right',
			'function' => 'css',
			'property' => 'background-color'
		)
	),
	'partial_refresh' => array(
		'footer_edit_location' => array(
			'selector'        => '#footer-edit-location',
			'render_callback' => 'seocode_footer_edit_location',
		),
	),
));

/*copiright*/
seocode_Kirki::add_field( 'seocode', array(
	'type'      => 'textarea',
	'settings'  => 'c_copyright',
	'section'   => 'c_footer',
	'default' => 'Seocode by Haintheme &copy; 2016. All Rights Reserved.',
));