<?php

if(function_exists('vc_map')){
	add_action( 'init', 'seocode_vc_elements' );
}

/*theme shortcode*/
if(!function_exists('seocode_vc_elements')){
    function seocode_vc_elements(){

        /*iconbox*/
        vc_map(array(
			'name' => esc_html__( 'Iconbox', 'seocode' ),
			'icon' => get_template_directory_uri() . '/images/vc/iconbox.png',
			'base' => 'iconbox',
			'category' => esc_html__( 'Seocode Theme', 'seocode' ),
			'params' => array(
				/*style*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Style', 'seocode' ),
					'admin_label' => true,
					'param_name' => 'style',
					'value' => array(
						esc_html__('Icon above title', 'seocode') => 'icon-above-title',
						esc_html__('Icon inline with title', 'seocode') => 'icon-inline-title',
					),
					'std' => 'icon-inline-title'
				),
				/*text align with icon-above-title*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Text align', 'seocode' ),
					'param_name' => 'align',
					'dependency' => array(
						'element' => 'style',
						'value' => 'icon-above-title'
					),
					'value' => array(
						esc_html__('Left', 'seocode') => 'text-left',
						esc_html__('Center', 'seocode') => 'text-center',
						esc_html__('Right', 'seocode') => 'text-right',
					),
					'std' => 'text-center'
				),
				/*direction with icon-inline-title*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Direction', 'seocode' ),
					'param_name' => 'direction',
					'dependency' => array(
						'element' => 'style',
						'value' => 'icon-inline-title'
					),
					'value' => array(
						esc_html__('Left', 'seocode') => 'direct-left',
						esc_html__('Right', 'seocode') => 'direct-right',
					),
					'std' => 'direct-left'
				),
				/*title*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Title', 'seocode' ),
					'description' => esc_html__( 'Enter your title', 'seocode' ),
					'param_name' => 'ht_title',
					'admin_label' => true,
					'value' => 'This is my title',
				),
				/*link of title*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Link of Title?', 'seocode' ),
					'param_name' => 'title_link',
					'value' => array(
						esc_html__('Yes', 'seocode') => 'yes',
					),
					'std' => 'no'
				),
				array(
					'type'       => 'vc_link',
					'heading'    => esc_html__( 'Link', 'seocode' ),
					'param_name' => 'link',
					'dependency' => array(
						'element' => 'title_link',
						'value' => 'yes'
					)
				),
				/*color of title*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Custom Color?', 'seocode' ),
					'param_name' => 'title_color',
					'dependency' => array(
						'element' => 'title_link',
						'value' => 'yes'
					),
					'value' => array(
						esc_html__('Yes', 'seocode') => 'yes',
					),
					'std' => 'no'
				),
				array(
					'type'       => 'colorpicker',
					'heading'    => esc_html__( 'Color', 'seocode' ),
					'param_name' => 'color',
					'dependency' => array(
						'element' => 'title_color',
						'value' => 'yes'
					)
				),
				array(
					'type'       => 'colorpicker',
					'heading'    => esc_html__( 'Hover Color', 'seocode' ),
					'param_name' => 'hover_color',
					'dependency' => array(
						'element' => 'title_color',
						'value' => 'yes'
					)
				),
				/*icon*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Icon', 'seocode' ),
					'param_name' => 'icon',
					'value' => array(
						esc_html__('Use Image', 'seocode') => 'use-image',
						esc_html__('Use Font Icon', 'seocode') => 'use-font-icon',
					),
					'std' => 'use-image'
				),
				/*icon - use font icon*/
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Font Icon', 'seocode' ),
					'param_name' => 'font_icon',
					'value' => 'fa-plus-circle',
					'dependency' => array(
						'element' => 'icon',
						'value' => 'use-font-icon'
					),
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Font Size', 'seocode' ),
					'param_name' => 'font_size',
					'value' => '48px',
					'description' => esc_html('Enter font size. Ex: "30px", "1.5rem" or "2em"', 'seocode'),
					'dependency' => array(
						'element' => 'icon',
						'value' => 'use-font-icon'
					),
				),
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Font Color', 'seocode' ),
					'param_name' => 'font_color',
					'value' => '#4c4fff',
					'dependency' => array(
						'element' => 'icon',
						'value' => 'use-font-icon'
					),
				),
				/*icon - use image*/
				array(
					'type' => 'attach_image',
					'heading' => esc_html__( 'Image', 'seocode' ),
					'param_name' => 'image',
					'dependency' => array(
						'element' => 'icon',
						'value' => 'use-image'
					),
				),
				/*content*/
				array(
					'type' => 'textarea_html',
					'heading' => esc_html__( 'Content', 'seocode' ),
					'param_name' => 'content',
					'value' => 'Nec in adipiscing purus luctus, urna pellentesque fringilla vel, non sed arcu integer, mauris ullamcorper ante ut non torquent. Justo praesent, vivamus.',
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'seocode' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'seocode'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'seocode' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'seocode' ),
				),
			),
		));

		/*counter*/
		vc_map(array(
			'name' => esc_html__( 'Counter', 'seocode' ),
			'icon' => get_template_directory_uri() . '/images/vc/counter.png',
			'base' => 'counter',
			'category' => esc_html__('Seocode Theme', 'seocode'),
			'params' => array(
				/*text color*/
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Text color', 'seocode' ),
					'admin_label' => true,
					'param_name' => 'color',
					'value' => '',
				),
				/*number*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Number', 'seocode' ),
					'admin_label' => true,
					'param_name' => 'number',
					'value' => '99',
				),
				/*unit*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Unit?', 'seocode' ),
					'param_name' => 'unit',
					'value' => array(
						esc_html__( 'Yes', 'seocode' ) => 'yes'
					),
					'std' => 'no'
				),
				array(
					'type' => 'textfield',
					'dependency' => array(
						'element' => 'unit',
						'value' => 'yes'
					),
					'param_name' => 'unit_data',
					'value' => '%',
				),
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Unit Position', 'seocode' ),
					'param_name' => 'position',
					'dependency' => array(
						'element' => 'unit',
						'value' => 'yes'
					),
					'value' => array(
						esc_html__( 'Left', 'seocode' ) => 'unit-left',
						esc_html__( 'Right', 'seocode' ) => 'unit-right',
					),
					'std' => 'unit-right'
				),
				/*text*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Text', 'seocode' ),
					'admin_label' => true,
					'param_name' => 'text',
					'value' => 'Your text',
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'seocode' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'seocode'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'seocode' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'seocode' ),
				),
			)
		));

		/*video control*/
		vc_map(array(
			'name' => esc_html__( 'Video', 'seocode' ),
			'icon' => get_template_directory_uri() . '/images/vc/video.png',
			'base' => 'ht_video',
			'category' => esc_html__('Seocode Theme', 'seocode'),
			'params' => array(
				/*source*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Source', 'seocode' ),
					'admin_label' => true,
					'param_name' => 'source',
					'value' => array(
						esc_html__( 'Youtube', 'seocode' ) => 'youtube',
						esc_html__( 'Vimeo', 'seocode' ) => 'vimeo',
					),
					'std' => 'youtube'
				),
				/*video id*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Video ID', 'seocode' ),
					'description' => esc_html__( 'Enter video ID, Ex: https://www.youtube.com/watch?v=22iu8byk5C8, ID = 22iu8byk5C8; https://vimeo.com/156602623, ID = 156602623', 'seocode' ),
					'admin_label' => true,
					'param_name' => 'vid',
					'value' => '22iu8byk5C8'
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'seocode' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'seocode'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'seocode' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'seocode' ),
				),
			)
		));

		/*testimonials*/
		vc_map(array(
			'name' => esc_html__( 'Testimonials', 'seocode' ),
			'icon' => get_template_directory_uri() . '/images/vc/testi.png',
			'base' => 'testi',
			'category' => esc_html__('Seocode Theme', 'seocode'),
			'params' => array(
				/*style*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Style', 'seocode' ),
					'admin_label' => true,
					'param_name' => 'style',
					'value' => array(
						esc_html__( 'Grid', 'seocode' ) => 'grid',
						esc_html__( 'Carousel', 'seocode' ) => 'carousel',
					),
					'std' => 'carousel'
				),
				/*grid column - grid*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Post per row', 'seocode' ),
					'param_name' => 'column',
					'dependency' => array(
						'element' => 'style',
						'value' => 'grid'
					),
					'value' => array(2, 3, 4),
					'std' => '3'
				),
				/*post count*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Post count', 'seocode' ),
					'admin_label' => true,
					'param_name' => 'count',
					'value' => '6'
				),
				/*color*/
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Color 1', 'seocode' ),
					'param_name' => 'color1',
					'value' => ''
				),
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Color 2', 'seocode' ),
					'param_name' => 'color2',
					'value' => ''
				),
				/*text content*/
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Text Content', 'seocode' ),
					'description' => esc_html__('Select text color of content', 'seocode'),
					'param_name' => 'text_content',
					'value' => ''
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'seocode' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'seocode'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'seocode' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'seocode' ),
				),
			)
		));

		/*services*/
		vc_map(array(
			'name' => esc_html__( 'Services', 'seocode' ),
			'icon' => get_template_directory_uri() . '/images/vc/service.png',
			'base' => 'services',
			'category' => esc_html__('Seocode Theme', 'seocode'),
			'params' => array(
				/*column*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Post per row', 'seocode' ),
					'param_name' => 'column',
					'value' => array(2, 3, 4),
					'std' => '3'
				),
				/*post count*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Post count', 'seocode' ),
					'admin_label' => true,
					'param_name' => 'count',
					'value' => '6'
				),
				/*text color*/
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Text Color', 'seocode' ),
					'admin_label' => true,
					'param_name' => 'color',
					'value' => ''
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'seocode' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'seocode'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'seocode' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'seocode' ),
				),
			)
		));

		/*case studies*/

			/*get case categories*/
			$categories_arr = array();

			$categories = get_terms( 'fw-portfolio-category' );			

			if( !empty( $categories ) && ! is_wp_error( $categories ) ) {
				foreach( $categories as $key ) {
					$categories_arr[] = array( 'label' => $key->name, 'value' => $key->slug );
				}
			}

			/*get case posts*/
			$posts_arr = array();

			$args = new WP_Query( array(
				'post_type'      => 'fw-portfolio',
				'posts_per_page' => -1
			));

			$data = $args->posts;
			if( !empty( $args ) && ! is_wp_error( $args ) ) {
				foreach( $data as $key ) {
					$posts_arr[] = array( 'label' => $key->post_title, 'value' => $key->post_name );
				}
			}
			
			vc_map(array(
				'name' => esc_html__( 'Case Studies', 'seocode' ),
				'icon' => get_template_directory_uri() . '/images/vc/case.png',
				'base' => 'case',
				'category' => esc_html__('Seocode Theme', 'seocode'),
				'params' => array(
					/*column*/
					array(
						'type' => 'dropdown',
						'heading' => esc_html__( 'Columns', 'seocode' ),
						'description' => esc_html__( 'Select post per row', 'seocode' ),
						'param_name' => 'column',
						'admin_label' => true,
						'value' => array(2, 3, 4),
						'std' => '3'
					),
					/*filter*/
					array(
						'type' => 'checkbox',
						'heading' => esc_html__( 'Enable filter', 'seocode' ),
						'param_name' => 'filter',
						'admin_label' => true,
						'value' => array(
							esc_html__('Yes', 'seocode') => 'yes'
						),
						'std' => 'yes'
					),
					/*source data*/
					array(
						'type' => 'dropdown',
						'heading' => esc_html__( 'Pick post by', 'seocode' ),
						'param_name' => 'source',
						'admin_label' => true,
						'value' => array(
							esc_html__('Single post', 'seocode') => 'posts',
							esc_html__('Categories', 'seocode') => 'cats'
						),
						'std' => 'posts'
					),

					/*categories data*/
					array(
						'type' => 'autocomplete',
						'heading' => esc_html__( 'Select category(s)', 'seocode' ),
						'param_name' => 'cats_data',
						'dependency' => array(
							'element' => 'source',
							'value' => 'cats'
						),
						'settings' => array(
							'multiple' => true,
							'min_length' => 1,
							'groups' => true,
							// In UI show results grouped by groups, default false
							'unique_values' => true,
							// In UI show results except selected. NB! You should manually check values in backend, default false
							'display_inline' => true,
							// In UI show results inline view, default false (each value in own line)
							'delay' => 500,
							// delay for search. default 500
							'auto_focus' => true,
							// auto focus input, default true
							'no_hide' => true,
							'sortable' => true,
							'values' => $categories_arr
						),
						'description' => esc_html__( 'Enter categories', 'seocode' ),
					),				
					/*posts data*/
					array(
						'type' => 'autocomplete',
						'heading' => esc_html__( 'Select post(s)', 'seocode' ),
						'param_name' => 'posts_data',
						'dependency' => array(
							'element' => 'source',
							'value' => 'posts'
						),
						'settings' => array(
							'multiple' => true,
							'min_length' => 1,
							'groups' => true,
							// In UI show results grouped by groups, default false
							'unique_values' => true,
							// In UI show results except selected. NB! You should manually check values in backend, default false
							'display_inline' => true,
							// In UI show results inline view, default false (each value in own line)
							'delay' => 500,
							// delay for search. default 500
							'auto_focus' => true,
							// auto focus input, default true
							'no_hide' => true,
							'sortable' => true,
							'values' => $posts_arr
						),
						'description' => esc_html__( 'Enter posts', 'seocode' ),
					),
					/*hover background color*/
					array(
						'type' => 'checkbox',
						'heading' => esc_html__( 'Custom hover background?', 'seocode' ),
						'param_name' => 'effect',
						'admin_label' => true,
						'value' => array(
							esc_html__('Yes', 'seocode') => 'yes'
						),
						'std' => 'no'
					),
					array(
						'type' => 'colorpicker',
						'heading' => esc_html__( 'Color 1', 'seocode' ),
						'param_name' => 'color1',
						'dependency' => array(
							'element' => 'effect',
							'value' => 'yes'
						),
						'edit_field_class' => 'vc_col-sm-6',
						'value' => ''
					),
					array(
						'type' => 'colorpicker',
						'heading' => esc_html__( 'Color 2', 'seocode' ),
						'param_name' => 'color2',
						'dependency' => array(
							'element' => 'effect',
							'value' => 'yes'
						),
						'edit_field_class' => 'vc_col-sm-6',
						'value' => ''
					),
					/*INCLIDE BY DEFAULT*/
					vc_map_add_css_animation(),
					array(
						'type' => 'textfield',
						'heading' => esc_html__('Class', 'seocode' ),
						'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'seocode'),
						'admin_label' => true,
						'param_name' => 'class',
					),
					array(
						'type' => 'css_editor',
						'heading'=> esc_html__( 'CSS', 'seocode' ),
						'param_name' => 'inline_css',
						'group' => esc_html__( 'Design Options', 'seocode' ),
					),
				)
			));

		/*table*/
		vc_map( array(
			'name' => esc_html__( 'Pricing Table', 'seocode' ),
			'base' => 'table',
			'icon' => get_template_directory_uri() . '/images/vc/table.png',
			'category' => esc_html__('Seocode Theme', 'seocode'),
			'content_element' => true,
			'is_container' => true,
			'js_view' => 'VcColumnView',
			'as_parent' => array(
				'only' => 'table_content'
			),
			'params' => array(
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Table Columns', 'seocode' ),
					'param_name' => 'col',
					'edit_field_class' => 'vc_col-sm-6',
					'admin_label' => true,
					'value' => array(2,3,4),
					'std' => '4',
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'seocode' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'seocode'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'seocode' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'seocode' ),
				),
			),
		));

		/*table content*/
		vc_map( array(
			'name' => esc_html__( 'Pricing Table Content', 'seocode' ),
			'base' => 'table_content',
			'category' => esc_html__('Seocode Theme', 'seocode'),
			'as_child' => array(
				'only' => 'table'
			),
			'content_element' => true,
			'params' => array(
				/*sale*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Sale', 'seocode' ),
					'description' => esc_html__('E.g: Save 20% - go annual', 'seocode'),
					'param_name' => 'sale',
					'value' => '',
				),
				/*price*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Package Price', 'seocode' ),
					'description' => esc_html__('Enter the price for this package. e.g. $99', 'seocode'),
					'param_name' => 'price',
					'value' => '$15',
					'admin_label' => true,
				),
				/*name*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Package Name', 'seocode' ),
					'description' => esc_html__('Enter the package name', 'seocode'),
					'param_name' => 'name',
					'admin_label' => true,
					'value' => 'REGULAR',
				),
				/*unit*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Price Unit', 'seocode' ),
					'description' => esc_html__('Enter the price unit for this package. e.g. per month', 'seocode'),
					'param_name' => 'unit',
					'admin_label' => true,
					'value' => '/MONTH',
				),
				/*button*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Button text', 'seocode' ),
					'description' => esc_html__('Enter call to action button text', 'seocode'),
					'param_name' => 'btn',
					'admin_label' => true,
					'value' => 'PURCHASE',
				),
				array(
					'type' => 'vc_link',
					'heading' => esc_html__( 'Button link', 'seocode' ),
					'description' => esc_html__('Select / enter the link for call to action button', 'seocode'),
					'param_name' => 'link',
				),
				/*content*/
				array(
					'type' => 'textarea_html',
					'heading' => esc_html__( 'Features', 'seocode' ),
					'description' => esc_html__('Create the features list using un-ordered list elements.', 'seocode'),
					'param_name' => 'content',
				),
				/*feature*/
				array(
					'type' => 'checkbox',
					'param_name' => 'feature',
					'admin_label' => true,
					'value' => array(
						esc_html__('Featured Price Box', 'seocode') => 'yes',
					),
					'std' => 'no',
				),
				/*color*/
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Color 1', 'seocode' ),
					'edit_field_class' => 'vc_col-sm-6',
					'description' => esc_html__('Select main color for Table style', 'seocode'),
					'param_name' => 'color1',
					'dependency' => array(
						'element' => 'feature',
						'value' => 'yes'
					),
					'value' => ''
				),
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Color 2', 'seocode' ),
					'edit_field_class' => 'vc_col-sm-6',
					'description' => esc_html__('Select sub color for Table style', 'seocode'),
					'param_name' => 'color2',
					'dependency' => array(
						'element' => 'feature',
						'value' => 'yes'
					),
					'value' => ''
				),
				/*INCLIDE BY DEFAULT*/
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'seocode' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'seocode'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'seocode' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'seocode' ),
				),
			),
		));

		/*blog news*/
		vc_map( array(
			'name' => esc_html__( 'Blog News', 'seocode' ),
			'base' => 'news',
			'icon' => get_template_directory_uri() . '/images/vc/news.png',
			'category' => esc_html__('Seocode Theme', 'seocode'),
			'params' => array(
				/*columns*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Columns', 'seocode' ),
					'description' => esc_html__('Select post per row', 'seocode'),
					'param_name' => 'col',
					'admin_label' => true,
					'value' => array(2,3,4),
					'std' => 3
				),
				/*count*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Count', 'seocode' ),
					'description' => esc_html__('Enter post count', 'seocode'),
					'param_name' => 'count',
					'admin_label' => true,
					'value' => 3
				),
				/*thumbnail*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Display Thumbnail Image?', 'seocode' ),
					'param_name' => 'thumb',
					'value' => array(
						esc_html__('Yes','seocode') => 'yes'
					),
					'std' => 'yes'
				),
				/*color1*/
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Custom color 1', 'seocode' ),
					'param_name' => 'color1',
					'dependency' => array(
						'element' => 'thumb',
						'value' => 'yes'
					),
					'value' => ''
				),
				/*color2*/
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Custom color 2', 'seocode' ),
					'param_name' => 'color2',
					'dependency' => array(
						'element' => 'thumb',
						'value' => 'yes'
					),
					'value' => ''
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'seocode' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'seocode'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'seocode' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'seocode' ),
				),
			),
		));

		/*brand logo*/
		vc_map( array(
			'name'     => esc_html__( 'Brand Logo', 'seocode' ),
			'icon' => get_template_directory_uri() . '/images/vc/brand.png',
			'base'     => 'brand',
			'category' => esc_html__( 'Seocode Theme', 'seocode' ),
			'params'   => array(
				/*image attach*/
				array(
					'type'        => 'attach_images',
					'heading'     => esc_html__('Images', 'seocode' ),
					'description' => esc_html__('Choose your images', 'seocode'),
					'param_name'  => 'imgs',
				),
				/*INCLIDE BY DEFAULT*/
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'seocode' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'seocode'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'seocode' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'seocode' ),
				),
			)
		));

		/*progress bar*/
		vc_map( array(
			'name'     => esc_html__( 'Progress Bar', 'seocode' ),
			'icon' => get_template_directory_uri() . '/images/vc/bar.png',
			'base'     => 'progress_bar',
			'category' => esc_html__( 'Seocode Theme', 'seocode' ),
			'params'   => array(
				/*value options*/
				array(
					'type' => 'param_group',
					'heading' => esc_html__( 'Values', 'seocode' ),
					'param_name' => 'values',
					'description' => esc_html__( 'Enter values for graph - value, title and color.', 'seocode' ),
					'value' => urlencode( json_encode( array(
						array(
							'label' => esc_html__( 'Development', 'seocode' ),
							'value' => '90',
						),
						array(
							'label' => esc_html__( 'Design', 'seocode' ),
							'value' => '80',
						),
						array(
							'label' => esc_html__( 'Marketing', 'seocode' ),
							'value' => '70',
						),
					) ) ),
					'params' => array(
						array(
							'type' => 'textfield',
							'heading' => esc_html__( 'Label', 'seocode' ),
							'param_name' => 'label',
							'description' => esc_html__( 'Enter text used as title of bar.', 'seocode' ),
							'admin_label' => true,
						),
						array(
							'type' => 'textfield',
							'heading' => esc_html__( 'Value', 'seocode' ),
							'param_name' => 'value',
							'description' => esc_html__( 'Enter value of bar. (Note: value range from 0 to 100)', 'seocode' ),
							'admin_label' => true,
						),
						/*enable style custom*/
						array(
							'type' => 'checkbox',
							'heading' => esc_html__( 'Custom color?', 'seocode' ),
							'param_name' => 'custom_color',
							'description' => esc_html__( 'Select custom single bar background color.', 'seocode' ),
							'value' => array(
								esc_html__('Yes', 'seocode') => 'yes'
							),
							'std' => 'no'
						),
						/*background*/
						array(
							'type' => 'colorpicker',
							'heading' => esc_html__( 'Custom progress bar color 1', 'seocode' ),
							'param_name' => 'bg1',
							'description' => esc_html__( 'Select custom single bar background color.', 'seocode' ),
							'dependency' => array(
								'element' => 'custom_color',
								'value' => 'yes',
							),
							'value' => ''
						),
						array(
							'type' => 'colorpicker',
							'heading' => esc_html__( 'Custom progress bar color 2', 'seocode' ),
							'param_name' => 'bg2',
							'description' => esc_html__( 'Select custom single bar background color.', 'seocode' ),
							'dependency' => array(
								'element' => 'custom_color',
								'value' => 'yes',
							),
							'value' => ''
						),
						/*color*/
						array(
							'type' => 'colorpicker',
							'heading' => esc_html__( 'Custom text color', 'seocode' ),
							'param_name' => 'c_txt',
							'description' => esc_html__( 'Select custom single bar text color.', 'seocode' ),
							'dependency' => array(
								'element' => 'custom_color',
								'value' => 'yes',
							),
							'value' => '#ffffff'
						),
					),
				),
				/*unit*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Units', 'seocode' ),
					'param_name' => 'unit',
					'description' => esc_html__( 'Enter measurement units (Example: %, px, points, etc. Note: graph value and units will be appended to graph title).', 'seocode' ),
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'seocode' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'seocode'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'seocode' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'seocode' ),
				),
			)
		));

		/*team member*/
		vc_map( array(
			'name'     => esc_html__( 'Team member', 'seocode' ),
			'icon' => get_template_directory_uri() . '/images/vc/team.png',
			'base'     => 'team',
			'category' => esc_html__( 'Seocode Theme', 'seocode' ),
			'params'   => array(
				/*align*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Text Align', 'seocode' ),
					'param_name' => 'align',
					'admin_label' => true,
					'edit_field_class' => 'vc_col-sm-6',
					'value' => array(
						esc_html__('Left', 'seocode') => 'text-left',
						esc_html__('Center', 'seocode') => 'text-center',
						esc_html__('Right', 'seocode') => 'text-right',
					),
					'std' => 'text-center'
				),
				/*image*/
				array(
					'type' => 'attach_image',
					'heading' => esc_html__( 'Member image', 'seocode' ),
					'param_name' => 'img',
					'description' => esc_html__( 'Either upload a new, or choose an existing image from your media library', 'seocode' ),
				),
				/*name*/
				array(
					'type' => 'textfield',
					'admin_label' => true,
					'heading' => esc_html__( 'Member Name', 'seocode' ),
					'param_name' => 'name',
					'description' => esc_html__( 'Name of the person', 'seocode' ),
				),
				/*job*/
				array(
					'type' => 'textfield',
					'admin_label' => true,
					'heading' => esc_html__( 'Member Job', 'seocode' ),
					'param_name' => 'job',
					'description' => esc_html__( 'Job title of the person', 'seocode' ),
				),
				/*description*/
				array(
					'type' => 'textarea_html',
					'heading' => esc_html__( 'Member Description', 'seocode' ),
					'param_name' => 'content',
					'description' => esc_html__( 'Enter a few words that describe the person', 'seocode' ),
				),
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Member social profiles', 'seocode' ),
					'param_name' => 'social',
					'admin_label' => true,
					'value' => array(
						esc_html__('Yes', 'seocode') => 'yes'
					),
					'std' => 'yes'
				),
				array(
					'type' => 'param_group',
					'heading' => esc_html__( 'Social profile list', 'seocode' ),
					'param_name' => 'list',
					'dependency' => array(
						'element' => 'social',
						'value' => 'yes'
					),
					'description' => esc_html__( 'Enter social media links such as Facebook, Twitter, Google Plus...', 'seocode' ),
					'value' => urlencode( json_encode( array(
						array(
							'link' => 'http://facebook.com/haintheme',
						),
						array(
							'link' => 'http://twitter.com/haintheme',
						),
						array(
							'link' => 'http://plus.google.com/haintheme',
						),
					) ) ),
					'params' => array(
						array(
							'type' => 'textfield',
							'heading' => esc_html__( 'Link', 'seocode' ),
							'param_name' => 'link',
							'admin_label' => true,
							'description' => esc_html__( 'Enter social media links', 'seocode' ),
						),
					),
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'seocode' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'seocode'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'seocode' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'seocode' ),
				)
			)
		));

		/*tabs*/
		vc_map( array(
			'name'     => esc_html__( 'Tabs', 'seocode' ),
			'icon' => get_template_directory_uri() . '/images/vc/tabs.png',
			'base'     => 'tabs',
			'category' => esc_html__( 'Seocode Theme', 'seocode' ),
			'params'   => array(
				array(
					'type' => 'param_group',
					'heading' => esc_html__( 'Tabs content', 'seocode' ),
					'param_name' => 'list',
					'value' => urlencode( json_encode( array(
						array(
							'nav' => 'JAVASCRIPT',
							'title' => 'Javascript',
							'content' => 'Lorem ipsum dolor sit amet, nec in adipiscing purus luctus, urna pell en tesque fringilla vel, non sed arcu integer, mauris ullamcorper ante ut non torquent. Justo praesent, vivamus eleifend torquent, nec in adipiscing purus luctus, urna pellentesque mauris ullamcorper ante ut non torquent fringilla suspendisse.',
						),
						array(
							'nav' => 'HTML5',
							'title' => 'HTML5',
							'content' => 'Lorem ipsum dolor sit amet, nec in adipiscing purus luctus, urna pell en tesque fringilla vel, non sed arcu integer, mauris ullamcorper ante ut non torquent. Justo praesent, vivamus eleifend torquent, nec in adipiscing purus luctus, urna pellentesque mauris ullamcorper ante ut non torquent fringilla suspendisse.',
						),
						array(
							'nav' => 'CSS3',
							'title' => 'CSS3',
							'content' => 'Lorem ipsum dolor sit amet, nec in adipiscing purus luctus, urna pell en tesque fringilla vel, non sed arcu integer, mauris ullamcorper ante ut non torquent. Justo praesent, vivamus eleifend torquent, nec in adipiscing purus luctus, urna pellentesque mauris ullamcorper ante ut non torquent fringilla suspendisse.',
						),
						array(
							'nav' => 'PHP',
							'title' => 'PHP',
							'content' => 'Lorem ipsum dolor sit amet, nec in adipiscing purus luctus, urna pell en tesque fringilla vel, non sed arcu integer, mauris ullamcorper ante ut non torquent. Justo praesent, vivamus eleifend torquent, nec in adipiscing purus luctus, urna pellentesque mauris ullamcorper ante ut non torquent fringilla suspendisse.',
						),
						array(
							'nav' => 'MYSQL',
							'title' => 'MYSQL',
							'content' => 'Lorem ipsum dolor sit amet, nec in adipiscing purus luctus, urna pell en tesque fringilla vel, non sed arcu integer, mauris ullamcorper ante ut non torquent. Justo praesent, vivamus eleifend torquent, nec in adipiscing purus luctus, urna pellentesque mauris ullamcorper ante ut non torquent fringilla suspendisse.',
						),
					))),
					'params' => array(
						array(
							'type' => 'textfield',
							'heading' => esc_html__( 'Nav', 'seocode' ),
							'param_name' => 'nav',
							'edit_field_class' => 'vc_col-sm-6',
							'admin_label' => true,
						),
						array(
							'type' => 'checkbox',
							'heading' => esc_html__( 'Custom Nav', 'seocode' ),
							'param_name' => 'nav_cus',
							'value' => array(
								esc_html__( 'Yes', 'seocode' ) => 'yes'
							),
							'std' => 'no'
						),
						array(
							'type' => 'colorpicker',
							'heading' => esc_html__( 'Text Color', 'seocode' ),
							'param_name' => 'txt_color',
							'dependency' => array(
								'element' => 'nav_cus',
								'value' => 'yes'
							),
							'value' => '',
							'edit_field_class' => 'vc_col-sm-6',
						),
						array(
							'type' => 'colorpicker',
							'heading' => esc_html__( 'Background Color', 'seocode' ),
							'param_name' => 'bg_color',
							'dependency' => array(
								'element' => 'nav_cus',
								'value' => 'yes'
							),
							'value' => '',
							'edit_field_class' => 'vc_col-sm-6',
						),
						array(
							'type' => 'textfield',
							'heading' => esc_html__( 'Title Content', 'seocode' ),
							'param_name' => 'title',
							'edit_field_class' => 'vc_col-sm-6',
							'admin_label' => true,
						),
						array(
							'type' => 'textarea',
							'heading' => esc_html__( 'Content', 'seocode' ),
							'param_name' => 'content',
						),
					),
				),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'seocode' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'seocode'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'seocode' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'seocode' ),
				)
			)
		));
		
		/*lading page*/
		vc_map( array(
			'name'     => esc_html__( 'Landing', 'seocode' ),
			'icon' => get_template_directory_uri() . '/images/vc/landing.png',
			'base'     => 'landing',
			'category' => esc_html__( 'Seocode Theme', 'seocode' ),
			'params'   => array(
				/*image attach*/
				array(
					'type'        => 'attach_image',
					'heading'     => esc_html__('Images', 'seocode' ),
					'description' => esc_html__('Choose your images', 'seocode'),
					'param_name'  => 'img',
				),
				/*link*/
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Url', 'seocode' ),
					'description' => esc_html__('Enter your url', 'seocode'),
					'param_name'  => 'url',
					'admin_label' => true,
					'value' => '#'
				),
				/*title*/
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Title', 'seocode' ),
					'description' => esc_html__('Enter the title', 'seocode'),
					'param_name'  => 'title',
					'admin_label' => true,
					'value' => 'Layout'
				),
				/*desc*/
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Description', 'seocode' ),
					'description' => esc_html__('Write some text', 'seocode'),
					'param_name'  => 'desc',
					'admin_label' => true,
					'value' => 'LAUNCH NOW'
				),
				/*color 1*/
				array(
					'type'        => 'colorpicker',
					'heading'     => esc_html__('Custom hover color 1', 'seocode' ),
					'param_name'  => 'color1',
					'value' => ''
				),
				/*color 2*/
				array(
					'type'        => 'colorpicker',
					'heading'     => esc_html__('Custom hover color 2', 'seocode' ),
					'param_name'  => 'color2',
					'value' => ''
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'seocode' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'seocode'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'seocode' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'seocode' ),
				),
			)
		));
    }
}