<?php

class seocode_Widget_portfolio extends WP_Widget {

    /**
     * @internal
     */
    function __construct() {
        $widget_ops = array(
            'description' => esc_html__('Latest cases', 'seocode'),
            'classname' => 'widget_portfolio'
        );
        parent::__construct( false, esc_html__( 'Case Studies', 'seocode'), $widget_ops );
    }

    /**
     * @param array $args
     * @param array $instance
     */
    function widget( $args, $instance ) {
        extract( $args );
        $title     = esc_attr( $instance['title'] );
        $title = $before_title.$title.$after_title;
        $count     = esc_attr( $instance['id'] );

        $filepath = get_template_directory().'/inc/widgets/portfolio/views/widget.php';
        if ( file_exists( $filepath ) ) {
            include( $filepath );
        }
    }

    function update( $new_instance, $old_instance ) {
        return $new_instance;
    }

    function form( $instance ) {
        $instance = wp_parse_args( (array) $instance, array( 'id' => '6', 'title' => esc_html__('LATEST CASES', 'seocode') ) );
        ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e( 'Title', 'seocode'); ?> </label>
            <input type="text" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>"
                   value="<?php echo esc_attr( $instance['title'] ); ?>" class="widefat"
                   id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"/>
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'id' )); ?>"><?php esc_html_e( 'Post count', 'seocode'); ?></label>
            <input type="text" name="<?php echo esc_attr($this->get_field_name( 'id' )); ?>"
                   value="<?php echo esc_attr( $instance['id'] ); ?>" class="widefat"
                   id="<?php echo esc_attr($this->get_field_id( 'id' )); ?>"/>
        </p>
    <?php
    }
}
