(function($) {

    "use strict";

    var HT = {};
    
    /*=============SHORTCODE===========*/

        /*plyr setup*/
        plyr.setup();

        /* couter up */
        $(".counter-number").counterUp({
            delay: 10,
            time: 1000
        });

        /*testi-style-carousel*/
        $(".testi-style-carousel").slick({
            slidesToShow: 1,
            slidesToScroll: 1,
            arrows: false,
            dots: true,
            infinite: false,
            fade: false,
        });

        /*case studies*/
        HT.isotope = function(){
            var qsRegex;
            var buttonFilter;
            // init Isotope
            var $grid = $('.theme-cases-grid').isotope({
                itemSelector: '.theme-case-item',
                layoutMode: 'fitRows',
                percentPosition: true,
                filter: function() {
                    var $this = $(this);
                    var searchResult = qsRegex ? $this.text().match(qsRegex) : true;
                    var buttonResult = buttonFilter ? $this.is(buttonFilter) : true;
                    return searchResult && buttonResult;
                }
            });
            $('.theme-cases-filter').on('click', 'button', function() {
                buttonFilter = $(this).attr('data-filter');
                $grid.isotope();
            });
            // use value of search field to filter
            var $quicksearch = $('#quicksearch').keyup(debounce(function() {
                qsRegex = new RegExp($quicksearch.val(), 'gi');
                $grid.isotope();
            }));
            // change is-checked class on buttons
            $('.theme-cases-filter').each(function(i, buttonGroup) {
                var $buttonGroup = $(buttonGroup);
                $buttonGroup.on('click', 'button', function() {
                    $buttonGroup.find('.is-checked').removeClass('is-checked');
                    $(this).addClass('is-checked');
                });
            });
            // debounce so filtering doesn't happen every millisecond
            function debounce(fn, threshold) {
                var timeout;
                return function debounced() {
                    if (timeout) {
                        clearTimeout(timeout);
                    }

                    function delayed() {
                        fn();
                        timeout = null;
                    }
                    setTimeout(delayed, threshold || 100);
                };
            }
        };
        
        /*brand logo*/
        $(".theme-brand-logo").slick({
            slidesToShow: 5,
            slidesToScroll: 1,
            arrows: true,
            dots: false,
            infinite: false,
            fade: false,
            // variableWidth: true,
            responsive: [
                {
                    breakpoint: 992,
                    settings: {
                        slidesToShow: 4,
                        variableWidth: false,
                    }
                },
                {
                    breakpoint: 768,
                    settings: {
                        slidesToShow: 3,
                        variableWidth: false,
                    }
                },
                {
                    breakpoint: 480,
                    settings: {
                        slidesToShow: 1,
                        variableWidth: false,
                    }
                }
            ]
        });

        /*theme tabs*/
        $(".theme-tabs").organicTabs({
            "speed": 200
        });
    /*=============//SHORTCODE===========*/

    /*button click effect*/
    $(function(){
        var ink, d, x, y;
        $(".theme-btn-material, #mc-embedded-subscribe, .theme-btn-animation").on('click', function(e){
            
            if($(this).find(".ink").length === 0){
                $(this).prepend("<span class='ink'></span>");
            }
                
            ink = $(this).find(".ink");
            ink.removeClass("theme-ripple");
            
            if(!ink.height() && !ink.width()){
                d = Math.max($(this).outerWidth(), $(this).outerHeight());
                ink.css({height: d, width: d});
            }
            
            x = e.pageX - $(this).offset().left - ink.width()/2;
            y = e.pageY - $(this).offset().top - ink.height()/2;
            
            ink.css({top: y+'px', left: x+'px'}).addClass("theme-ripple");
        });
    });

    /*topbar on mobile*/
    HT.topbar_mobile = function () {
        $('#topbar-toggle').on('click', function () {
            $('.theme-topbar').slideToggle('fast');
        });
    }

    HT.menu_mobile = function(){
        enquire.register("screen and (max-width:991px)", {
            match: function() {
                $('.theme-wrap-primary-menu').ht_menu({
                    resizeWidth: '991',
                    initiallyVisible: false,
                    collapserTitle: '',
                    animSpeed: 'fast',
                    easingEffect: null,
                    indentChildren: false,
                    childrenIndenter: '&nbsp;&nbsp;',
                    expandIcon: '',
                    collapseIcon: ''
                });
            }
        });
    }

    /*search effect*/
    HT.header_search = function() {
        var open = $('#ht-btn-search, .ht-btn-search'),
            close = $('#ht-btn-close'),
            view = $('.search-viewbox'),
            input = $('#ht-search-input');
        function init() {
            initEvents();
        }
        function initEvents() {
            open.on('click', openSearch);
            close.on('click', closeSearch);
            document.addEventListener('keyup', function (ev) {
                if (ev.keyCode == 27) {
                    closeSearch();
                }
            });
        }
        function openSearch() {
            view.addClass('search--open');
            input.focus();
        }
        function closeSearch() {
            view.removeClass('search--open');
            input.blur();
            input.val('');
        }
        init();
    }
    /*end search effect*/

    /* Scroll to top */
    $(window).scroll(function () {
        if ($(this).scrollTop() > 100) {
            $('.scroll-to-top').addClass('scroll-animation');
        } else {
            $('.scroll-to-top').removeClass('scroll-animation');
        }
    });
    $(".scroll-to-top").on('click', function () {
        $('html, body').animate({
            scrollTop: $("html").offset().top
        }, 300);
    });

    /*READY*/
    $(document).ready(function() {
        /*fix vc full row rtl*/
        $(document).on('vc-full-width-row', function () {
            var $elements = $('[data-vc-full-width="true"]');
            if($('body').hasClass('rtl')){
                $.each($elements, function () {
                    var $el = $(this);
                    $el.css('right', $el.css('left')).css('left', '');
                });
            }
        });
        /*Topbar on mobile*/
        HT.topbar_mobile();
        /*header search form*/
        HT.header_search();

        if($('.ht-menu-sticky').length){
            var $window = $(window),
            $stickyEl = $('.ht-menu-sticky'),
            elTop = $stickyEl.offset().top;
            $window.scroll(function() {
                $stickyEl.toggleClass('ht-sticky', $window.scrollTop() > 250);
            });
        }
    });

    /*LOAD*/
    $(window).load(function(){
        HT.isotope();
        HT.menu_mobile();
        /*loading effect*/
        $("#p-loading").fadeOut("slow");
        $(".p-circular").fadeOut();

    });

    /*RESIZE*/
    $(window).resize(function(){
        /*sticky menu on mobile*/
        if($('.mobile-has-sticky').length && $(window).width() < 992){
            var $window = $(window),
            $stickyEl = $('.mobile-has-sticky'),
            elTop = $stickyEl.offset().top;
            $window.scroll(function() {
                $stickyEl.toggleClass('ht-mobile-sticky', $window.scrollTop() > elTop);
            });
        }
    });

})(jQuery);