<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

if(empty($count))
    $count = -1;

if(empty($color1))
    $color1 = 'rgba(1,83,229,0.75)';
if(empty($color2))
    $color2 = 'rgba(183,12,255,0.75)';

?>
<div class="theme-blog-news theme-col-<?php echo esc_attr($col); ?><?php echo esc_attr($all_class); ?>">
    <?php
        /*query*/
        global $post;
        $query = new WP_Query('post_type=post&post_status=publish&ignore_sticky_posts=true&posts_per_page='.$count);
        if( $query->have_posts() ):
            while($query->have_posts()): $query->the_post();
            
            /*thumbnail id*/
            $thumbnail_id = get_post_thumbnail_id($post->ID);
            $thumbnail_url = get_the_post_thumbnail_url($post->ID);
            /*image size*/
            if($col == 2){
                $thumbnail = fw_resize($thumbnail_url, 558, false);
            }elseif($col == 3){
                $thumbnail = fw_resize($thumbnail_url, 362, 421, true);
            }else{
                $thumbnail = fw_resize($thumbnail_url, 264, false);
            }            
        ?>
    <article class="blog-news-item theme-col-item" itemid="<?php echo get_permalink(); ?>" itemscope itemtype="http://schema.org/BlogPosting">
        <div itemprop="mainEntityOfPage">
            <!-- Publisher  -->
            <div itemprop="publisher" itemscope="itemscope" itemtype="https://schema.org/Organization">
                <div itemprop="logo" itemscope="itemscope" itemtype="https://schema.org/ImageObject">
                    <meta itemprop="url" content="<?php echo esc_url(home_url('/')); ?>" />
                    <meta itemprop="width" content="100" />
                    <meta itemprop="height" content="100" />
                </div>
                <meta itemprop="name" content="<?php the_author(); ?>" />
            </div>
            <!-- //Publisher  -->
            <!-- Modified date -->
            <span itemprop="dateModified" class="screen-reader-text">
                <time datetime="<?php echo esc_attr( get_the_modified_time( 'Y-m-d' ) ); ?>">
                    <?php the_modified_date(); ?>
                </time>
            </span>
            <!-- //Modified date -->
            <span class="screen-reader-text" itemprop="author"><?php the_author(); ?></span>
            <?php /*thumbnail*/ ?>
            <?php if($thumb == 'yes' && !empty($thumbnail_id)): ?>
                <div class="sc-blog-news-img" style="background: -webkit-linear-gradient(45deg, <?php echo esc_attr($color1); ?> 0%, <?php echo esc_attr($color2); ?> 100%);">
                    <a href="<?php the_permalink(); ?>" class="sc-blog-link"></a>                        
                    <div itemprop="image" itemscope itemtype="http://schema.org/ImageObject">
                        <img src="<?php echo esc_url($thumbnail); ?>" alt="<?php esc_attr_e('Blog thumbnail image', 'seocode'); ?>">
                        <meta itemprop="url" content="<?php echo esc_url($thumbnail); ?>" />
                        <meta itemprop="width" content="362" />
                        <meta itemprop="height" content="246" />
                    </div>
                </div>
            <?php endif; ?>
            <?php /*blog info*/ ?>
            <div class="blog-post-info">
                <div class="blog-post-date" itemprop="datePublished" content="<?php echo get_the_time('c'); ?>"><?php echo seocode_post_date();/*post date*/ ?></div>
                <div class="blog-post-name">
                    <div class="post-cat"><?php echo seocode_blog_categories();/*post categories*/ ?></div>
                    <h3 class="post-tit" itemprop="headline"><a itemprop="url" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                </div>
            </div>
            <p itemprop="description"><?php echo seocode_excerpt(20); ?></p>
        </div>
    </article>
    <?php
        endwhile;
        endif;
        /*reset query*/
        wp_reset_postdata();
    ?>
</div>